NCTAudioVisualization2Lib

NCTAudioStudio2 ActiveX DLLs
NCTAudioVisualization2 ActiveX DLL

Version 2.2

NCTAudioVisualization2 ActiveX DLL is intended for visual representation of audio data in the process of playback or record.

NCTAudioVisualization2 is a part of the NCTAudioStudio2 package.

Send Feedback on the NCTAudioVisualization2 documentation.
NCTAudioVisualization2 was developed by NCT Company Ltd. http://www.nctsoft.com


AudioVisualization2 properties

AudioVisualization2 properties

Property | Type | Default | Description
ArrayChannels | ChannelsConstants |  | Read-only property that returns the number of channels.
ArrayFrequency | Long | 44100 | Read-only property that returns the frequency of the audio array.
BackColor | OLE_COLOR |  | Gets or sets RGB color of background using standard Windows palette.
BorderColor | OLE_COLOR |  | Gets or sets RGB color of the border using standard Windows palette.
BorderStyle | BorderTypeConstants |  | Gets or sets the type of the border.
GridColor | OLE_COLOR |  | Gets or sets RGB color of the grid using standard Windows palette.
GridVisible | Boolean |  | Gets or sets a flag of grid visibility.
GridYMax | Long |  | Gets or sets the maximal value for Y axe.
GridYMin | Long |  | Gets or sets the minimal value for Y axe.
LineColorLeft | OLE_COLOR |  | Gets or sets RGB color of the left channel line using standard Windows palette.
LineColorRight | OLE_COLOR |  | Gets or sets RGB color of the right channel line using standard Windows palette.
ScaleColor | OLE_COLOR |  | Gets or sets RGB color of the scale using standard Windows palette.
ScaleFont | IFontDisp |  | Gets or sets the font of the scale using standard Windows fonts.
ScaleXVisible | Boolean |  | Gets or sets a flag of X grid visibility.
ScaleYVisible | Boolean |  | Gets or sets a flag of Y grid visibility.
TextColor | OLE_COLOR |  | Gets or sets RGB color of the text using standard Windows palette.
VisType | VisTypeConstants |  | Gets or sets the type of visualization.
WindowArraySize | Long |  | Gets or sets visualized audio data array size.
WindowFFTType | FFTWindowEnum |  | Gets or sets window style.


ArrayChannels property (AudioVisualization2)

ArrayChannels property (AudioVisualization2)

Read-only property that returns the number of channels.

Property type

A ChannelsConstants value.

Syntax

object.ArrayChannels [= value]

The ArrayChannels property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | ChannelsConstants | Number of channels.

Remarks:

Set by SetFormatArray method.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Dim Wav() As Integer
Dim nChannels As ChannelsConstants
Dim Frequency As Long
'declares the array variable that stores the audio data
...
'Filling of the array by the audio data. The nChannels is a number of channels of this array
'and the Frequency is a frequency of this array.
...
AudioVisualization21.ArrayChannels = nChannels
AudioVisualization21.ArrayFrequency = Frequency
AudioVisualization21.SendArray Wav

See Also:

ArrayFrequency

Applies to: AudioVisualization2


ArrayFrequency property (AudioVisualization2)

ArrayFrequency property (AudioVisualization2)

Read-only property that returns the frequency of the audio array.

Property type

A FrequencyConstants value.

Syntax

object.ArrayFrequency [= value]

The ArrayFrequency property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | FrequencyConstants | Frequency is in hertz. By default is set to 44100.

Remarks:

Set by SetFormatArray method.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Dim Wav() As Integer
Dim nChannels As ChannelsConstants
Dim Frequency As Long
'declares the array variable that stores the audio data
...
'Filling of the array by the audio data. The nChannels is a number of channels of this array
'and the Frequency is a frequency of this array.
...
AudioVisualization21.ArrayChannels = nChannels
AudioVisualization21.ArrayFrequency = Frequency
AudioVisualization21.SendArray Wav

See Also:

ArrayChannels

Applies to: AudioVisualization2


BackColor property (AudioVisualization2)

BackColor property (AudioVisualization2)

Gets or sets RGB color of background using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.BackColor [= value]

The BackColor property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | OLE_COLOR | Color type. By default this property is set to window background color.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Private Sub Command1_Click()
    'this sub starts on clicking the "Color" button
    CommonDialog1.Color = Picture1.BackColor
    'sets the color selected in the Picture box
    CommonDialog1.DialogTitle = "Choice Color"
    'sets the Dialog window title to "Choice color"
    CommonDialog1.Flags = cdlCCRGBInit Or cdlCCFullOpen
    'sets the options for the dialog box to the standart windows pallete color choice
    CommonDialog1.ShowColor
    'Displays the CommonDialog control's Color dialog box
    Picture1.BackColor = CommonDialog1.Color
    'sets the Picture box's color to the one chosen by a user
    Select Case ListView1.SelectedItem.Index
    'selective case that uses an item of the Listitem as a selective parameter
    Case 1:     'if the first item was chosen then
        AV1.GridColor = Picture1.BackColor
        'sets the color of the Grid to the one of the Picture Box
    Case 2:     'if the 2nd item was chosen then
        AV1.BackColor = Picture1.BackColor
        'sets the Background color of the to the one of the Picture Box
    Case 3:     'if the 3d item was chosen then
        AV1.ScaleColor = Picture1.BackColor
        'sets the color of the Scale to the one of the Picture Box
    Case 4:     'if the 4th item was chosen then
        AV1.TextColor = Picture1.BackColor
        'sets the color of the text to the one of the Picture Box
    Case 5:     'if the 5th item was chosen then
        AV1.BorderColor = Picture1.BackColor
        'sets the color of the border to the one of the Picture Box
    Case 6:     'if the 6th item was chosen then
        AV1.LineColorLeft = Picture1.BackColor
        'sets the color of the visualization to the one of the Picture Box
    Case 7:     'if the 6th item was chosen then
        AV1.LineColorRight = Picture1.BackColor
        'sets the color of the visualization to the one of the Picture Box
    End Select
End Sub

See Also:

BorderColor | GridColor | LineColorLeft | LineColorRight | ScaleColor | TextColor

Applies to: AudioVisualization2


BorderColor property (AudioVisualization2)

BorderColor property (AudioVisualization2)

Gets or sets RGB color of the border using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.BorderColor [= value]

The BorderColor property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | OLE_COLOR | Color type.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Private Sub Command1_Click()
    'this sub starts on clicking the "Color" button
    CommonDialog1.Color = Picture1.BackColor
    'sets the color selected in the Picture box
    CommonDialog1.DialogTitle = "Choice Color"
    'sets the Dialog window title to "Choice color"
    CommonDialog1.Flags = cdlCCRGBInit Or cdlCCFullOpen
    'sets the options for the dialog box to the standart windows pallete color choice
    CommonDialog1.ShowColor
    'Displays the CommonDialog control's Color dialog box
    Picture1.BackColor = CommonDialog1.Color
    'sets the Picture box's color to the one chosen by a user
    Select Case ListView1.SelectedItem.Index
    'selective case that uses an item of the Listitem as a selective parameter
    Case 1:     'if the first item was chosen then
        AV1.GridColor = Picture1.BackColor
        'sets the color of the Grid to the one of the Picture Box
    Case 2:     'if the 2nd item was chosen then
        AV1.BackColor = Picture1.BackColor
        'sets the Background color of the to the one of the Picture Box
    Case 3:     'if the 3d item was chosen then
        AV1.ScaleColor = Picture1.BackColor
        'sets the color of the Scale to the one of the Picture Box
    Case 4:     'if the 4th item was chosen then
        AV1.TextColor = Picture1.BackColor
        'sets the color of the text to the one of the Picture Box
    Case 5:     'if the 5th item was chosen then
        AV1.BorderColor = Picture1.BackColor
        'sets the color of the border to the one of the Picture Box
    Case 6:     'if the 6th item was chosen then
        AV1.LineColorLeft = Picture1.BackColor
        'sets the color of the visualization to the one of the Picture Box
    Case 7:     'if the 6th item was chosen then
        AV1.LineColorRight = Picture1.BackColor
        'sets the color of the visualization to the one of the Picture Box
    End Select
End Sub

See Also:

BackColor | GridColor | LineColorLeft | LineColorRight | ScaleColor | TextColor | BorderStyle

Applies to: AudioVisualization2


BorderStyle property (AudioVisualization2)

BorderStyle property (AudioVisualization2)

Gets or sets the type of the border.

Property type

A BorderTypeConstants value.

Syntax

object.BorderStyle [= value]

The BorderStyle property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | BorderTypeConstants | The type of border style.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Dim Wav() As Integer
Dim nChannels As ChannelsConstants
Dim Frequency As Long
'declares the array variable that stores the audio data
...
AudioVisualization21.BorderStyle = bSingle
AudioVisualization21.GridVisible = True
AudioVisualization21.GridYMax = 40
AudioVisualization21.GridYMin = 4
AudioVisualization21.ScaleXVisible = True
AudioVisualization21.ScaleYVisible = True
AudioVisualization21.VisType = fftViewLineal
AudioVisualization21.WindowArraySize = 1024
AudioVisualization21.WindowFFTType = fftWindowHanning
AudioVisualization21.SendArray Wav()

See Also:

BorderColor

Applies to: AudioVisualization2


GridColor property (AudioVisualization2)

GridColor property (AudioVisualization2)

Gets or sets RGB color of the grid using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.GridColor [= value]

The GridColor property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | OLE_COLOR | Color type.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Private Sub Command1_Click()
    'this sub starts on clicking the "Color" button
    CommonDialog1.Color = Picture1.BackColor
    'sets the color selected in the Picture box
    CommonDialog1.DialogTitle = "Choice Color"
    'sets the Dialog window title to "Choice color"
    CommonDialog1.Flags = cdlCCRGBInit Or cdlCCFullOpen
    'sets the options for the dialog box to the standart windows pallete color choice
    CommonDialog1.ShowColor
    'Displays the CommonDialog control's Color dialog box
    Picture1.BackColor = CommonDialog1.Color
    'sets the Picture box's color to the one chosen by a user
    Select Case ListView1.SelectedItem.Index
    'selective case that uses an item of the Listitem as a selective parameter
    Case 1:     'if the first item was chosen then
        AV1.GridColor = Picture1.BackColor
        'sets the color of the Grid to the one of the Picture Box
    Case 2:     'if the 2nd item was chosen then
        AV1.BackColor = Picture1.BackColor
        'sets the Background color of the to the one of the Picture Box
    Case 3:     'if the 3d item was chosen then
        AV1.ScaleColor = Picture1.BackColor
        'sets the color of the Scale to the one of the Picture Box
    Case 4:     'if the 4th item was chosen then
        AV1.TextColor = Picture1.BackColor
        'sets the color of the text to the one of the Picture Box
    Case 5:     'if the 5th item was chosen then
        AV1.BorderColor = Picture1.BackColor
        'sets the color of the border to the one of the Picture Box
    Case 6:     'if the 6th item was chosen then
        AV1.LineColorLeft = Picture1.BackColor
        'sets the color of the visualization to the one of the Picture Box
    Case 7:     'if the 6th item was chosen then
        AV1.LineColorRight = Picture1.BackColor
        'sets the color of the visualization to the one of the Picture Box
    End Select
End Sub

See Also:

BackColor | BorderColor | LineColorLeft | LineColorRight | ScaleColor | TextColor | GridVisible | GridYMax | GridYMin

Applies to: AudioVisualization2


GridVisible property (AudioVisualization2)

GridVisible property (AudioVisualization2)

Gets or sets a flag of grid visibility.

Property type

A Boolean value.

Syntax

object.GridVisible [= value]

The GridVisible property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | Boolean | Flag of grid visibility. Can be true (grid is visible) or false (grid is invisible).

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Dim Wav() As Integer
Dim nChannels As ChannelsConstants
Dim Frequency As Long
'declares the array variable that stores the audio data
...
AudioVisualization21.BorderStyle = bSingle
AudioVisualization21.GridVisible = True
AudioVisualization21.GridYMax = 40
AudioVisualization21.GridYMin = 4
AudioVisualization21.ScaleXVisible = True
AudioVisualization21.ScaleYVisible = True
AudioVisualization21.VisType = fftViewLineal
AudioVisualization21.WindowArraySize = 1024
AudioVisualization21.WindowFFTType = fftWindowHanning
AudioVisualization21.SendArray Wav()

See Also:

GridColor | GridYMax | GridYMin

Applies to: AudioVisualization2


GridYMax property (AudioVisualization2)

GridYMax property (AudioVisualization2)

Gets or sets the maximal value for Y axe.

Property type

A Long value.

Syntax

object.GridYMax [= value]

The GridYMax property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | Long | This parameter specifies the maximal position on the vertical axe.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Dim Wav() As Integer
Dim nChannels As ChannelsConstants
Dim Frequency As Long
'declares the array variable that stores the audio data
...
AudioVisualization21.BorderStyle = bSingle
AudioVisualization21.GridVisible = True
AudioVisualization21.GridYMax = 40
AudioVisualization21.GridYMin = 4
AudioVisualization21.ScaleXVisible = True
AudioVisualization21.ScaleYVisible = True
AudioVisualization21.VisType = fftViewLineal
AudioVisualization21.WindowArraySize = 1024
AudioVisualization21.WindowFFTType = fftWindowHanning
AudioVisualization21.SendArray Wav()

See Also:

GridColor | GridVisible | GridYMin

Applies to: AudioVisualization2


GridYMin property (AudioVisualization2)

GridYMin property (AudioVisualization2)

Gets or sets the minimal value for Y axe.

Property type

A Long value.

Syntax

object.GridYMin [= value]

The GridYMin property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | Long | This parameter specifies the minimal position on the vertical axe.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Dim Wav() As Integer
Dim nChannels As ChannelsConstants
Dim Frequency As Long
'declares the array variable that stores the audio data
...
AudioVisualization21.BorderStyle = bSingle
AudioVisualization21.GridVisible = True
AudioVisualization21.GridYMax = 40
AudioVisualization21.GridYMin = 4
AudioVisualization21.ScaleXVisible = True
AudioVisualization21.ScaleYVisible = True
AudioVisualization21.VisType = fftViewLineal
AudioVisualization21.WindowArraySize = 1024
AudioVisualization21.WindowFFTType = fftWindowHanning
AudioVisualization21.SendArray Wav()

See Also:

GridColor | GridVisible | GridYMax

Applies to: AudioVisualization2


LineColorLeft property (AudioVisualization2)

LineColorLeft property (AudioVisualization2)

Gets or sets RGB color of the left channel line using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.LineColorLeft [= value]

The LineColorLeft property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | OLE_COLOR | Color type.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Private Sub Command1_Click()
    'this sub starts on clicking the "Color" button
    CommonDialog1.Color = Picture1.BackColor
    'sets the color selected in the Picture box
    CommonDialog1.DialogTitle = "Choice Color"
    'sets the Dialog window title to "Choice color"
    CommonDialog1.Flags = cdlCCRGBInit Or cdlCCFullOpen
    'sets the options for the dialog box to the standart windows pallete color choice
    CommonDialog1.ShowColor
    'Displays the CommonDialog control's Color dialog box
    Picture1.BackColor = CommonDialog1.Color
    'sets the Picture box's color to the one chosen by a user
    Select Case ListView1.SelectedItem.Index
    'selective case that uses an item of the Listitem as a selective parameter
    Case 1:     'if the first item was chosen then
        AV1.GridColor = Picture1.BackColor
        'sets the color of the Grid to the one of the Picture Box
    Case 2:     'if the 2nd item was chosen then
        AV1.BackColor = Picture1.BackColor
        'sets the Background color of the to the one of the Picture Box
    Case 3:     'if the 3d item was chosen then
        AV1.ScaleColor = Picture1.BackColor
        'sets the color of the Scale to the one of the Picture Box
    Case 4:     'if the 4th item was chosen then
        AV1.TextColor = Picture1.BackColor
        'sets the color of the text to the one of the Picture Box
    Case 5:     'if the 5th item was chosen then
        AV1.BorderColor = Picture1.BackColor
        'sets the color of the border to the one of the Picture Box
    Case 6:     'if the 6th item was chosen then
        AV1.LineColorLeft = Picture1.BackColor
        'sets the color of the visualization to the one of the Picture Box
    Case 7:     'if the 6th item was chosen then
        AV1.LineColorRight = Picture1.BackColor
        'sets the color of the visualization to the one of the Picture Box
    End Select
End Sub

See Also:

BackColor | BorderColor | GridColor | LineColorRight | ScaleColor | TextColor

Applies to: AudioVisualization2


LineColorRight property (AudioVisualization2)

LineColorRight property (AudioVisualization2)

Gets or sets RGB color of the right channel line using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.LineColorRight [= value]

The LineColorRight property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | OLE_COLOR | Color type.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Private Sub Command1_Click()
    'this sub starts on clicking the "Color" button
    CommonDialog1.Color = Picture1.BackColor
    'sets the color selected in the Picture box
    CommonDialog1.DialogTitle = "Choice Color"
    'sets the Dialog window title to "Choice color"
    CommonDialog1.Flags = cdlCCRGBInit Or cdlCCFullOpen
    'sets the options for the dialog box to the standart windows pallete color choice
    CommonDialog1.ShowColor
    'Displays the CommonDialog control's Color dialog box
    Picture1.BackColor = CommonDialog1.Color
    'sets the Picture box's color to the one chosen by a user
    Select Case ListView1.SelectedItem.Index
    'selective case that uses an item of the Listitem as a selective parameter
    Case 1:     'if the first item was chosen then
        AV1.GridColor = Picture1.BackColor
        'sets the color of the Grid to the one of the Picture Box
    Case 2:     'if the 2nd item was chosen then
        AV1.BackColor = Picture1.BackColor
        'sets the Background color of the to the one of the Picture Box
    Case 3:     'if the 3d item was chosen then
        AV1.ScaleColor = Picture1.BackColor
        'sets the color of the Scale to the one of the Picture Box
    Case 4:     'if the 4th item was chosen then
        AV1.TextColor = Picture1.BackColor
        'sets the color of the text to the one of the Picture Box
    Case 5:     'if the 5th item was chosen then
        AV1.BorderColor = Picture1.BackColor
        'sets the color of the border to the one of the Picture Box
    Case 6:     'if the 6th item was chosen then
        AV1.LineColorLeft = Picture1.BackColor
        'sets the color of the visualization to the one of the Picture Box
    Case 7:     'if the 6th item was chosen then
        AV1.LineColorRight = Picture1.BackColor
        'sets the color of the visualization to the one of the Picture Box
    End Select
End Sub

See Also:

BackColor | BorderColor | GridColor | LineColorLeft | ScaleColor | TextColor

Applies to: AudioVisualization2


ScaleColor property (AudioVisualization2)

ScaleColor property (AudioVisualization2)

Gets or sets RGB color of the scale using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.ScaleColor [= value]

The ScaleColor property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | OLE_COLOR | Color type.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Private Sub Command1_Click()
    'this sub starts on clicking the "Color" button
    CommonDialog1.Color = Picture1.BackColor
    'sets the color selected in the Picture box
    CommonDialog1.DialogTitle = "Choice Color"
    'sets the Dialog window title to "Choice color"
    CommonDialog1.Flags = cdlCCRGBInit Or cdlCCFullOpen
    'sets the options for the dialog box to the standart windows pallete color choice
    CommonDialog1.ShowColor
    'Displays the CommonDialog control's Color dialog box
    Picture1.BackColor = CommonDialog1.Color
    'sets the Picture box's color to the one chosen by a user
    Select Case ListView1.SelectedItem.Index
    'selective case that uses an item of the Listitem as a selective parameter
    Case 1:     'if the first item was chosen then
        AV1.GridColor = Picture1.BackColor
        'sets the color of the Grid to the one of the Picture Box
    Case 2:     'if the 2nd item was chosen then
        AV1.BackColor = Picture1.BackColor
        'sets the Background color of the to the one of the Picture Box
    Case 3:     'if the 3d item was chosen then
        AV1.ScaleColor = Picture1.BackColor
        'sets the color of the Scale to the one of the Picture Box
    Case 4:     'if the 4th item was chosen then
        AV1.TextColor = Picture1.BackColor
        'sets the color of the text to the one of the Picture Box
    Case 5:     'if the 5th item was chosen then
        AV1.BorderColor = Picture1.BackColor
        'sets the color of the border to the one of the Picture Box
    Case 6:     'if the 6th item was chosen then
        AV1.LineColorLeft = Picture1.BackColor
        'sets the color of the visualization to the one of the Picture Box
    Case 7:     'if the 6th item was chosen then
        AV1.LineColorRight = Picture1.BackColor
        'sets the color of the visualization to the one of the Picture Box
    End Select
End Sub

See Also:

BackColor | BorderColor | GridColor | LineColorLeft | LineColorRight | TextColor | ScaleFont | ScaleXVisible | ScaleYVisible

Applies to: AudioVisualization2


ScaleFont property (AudioVisualization2)

ScaleFont property (AudioVisualization2)

Gets or sets the font of the scale using standard Windows fonts.

Property type

A IFontDisp value.

Syntax

object.ScaleFont [= value]

The ScaleFont property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | IFontDisp | Type of font.

See Also:

ScaleColor | ScaleXVisible | ScaleYVisible

Applies to: AudioVisualization2


ScaleXVisible property (AudioVisualization2)

ScaleXVisible property (AudioVisualization2)

Gets or sets a flag of X grid visibility.

Property type

A Boolean value.

Syntax

object.ScaleXVisible [= value]

The ScaleXVisible property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | Boolean | Flag of X grid visibility. Can be True (scale X is visible) or False (scale X is invisible).

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Dim Wav() As Integer
Dim nChannels As ChannelsConstants
Dim Frequency As Long
'declares the array variable that stores the audio data
...
AudioVisualization21.BorderStyle = bSingle
AudioVisualization21.GridVisible = True
AudioVisualization21.GridYMax = 40
AudioVisualization21.GridYMin = 4
AudioVisualization21.ScaleXVisible = True
AudioVisualization21.ScaleYVisible = True
AudioVisualization21.VisType = fftViewLineal
AudioVisualization21.WindowArraySize = 1024
AudioVisualization21.WindowFFTType = fftWindowHanning
AudioVisualization21.SendArray Wav()

See Also:

ScaleColor | ScaleFont | ScaleYVisible

Applies to: AudioVisualization2


ScaleYVisible property (AudioVisualization2)

ScaleYVisible property (AudioVisualization2)

Gets or sets a flag of Y grid visibility.

Property type

A Boolean value.

Syntax

object.ScaleYVisible [= value]

The ScaleYVisible property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | Boolean | Flag of Y grid visibility. Can be True (scale Y is visible) or False (scale Y is invisible).

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Dim Wav() As Integer
Dim nChannels As ChannelsConstants
Dim Frequency As Long
'declares the array variable that stores the audio data
...
AudioVisualization21.BorderStyle = bSingle
AudioVisualization21.GridVisible = True
AudioVisualization21.GridYMax = 40
AudioVisualization21.GridYMin = 4
AudioVisualization21.ScaleXVisible = True
AudioVisualization21.ScaleYVisible = True
AudioVisualization21.VisType = fftViewLineal
AudioVisualization21.WindowArraySize = 1024
AudioVisualization21.WindowFFTType = fftWindowHanning
AudioVisualization21.SendArray Wav()

See Also:

ScaleColor | ScaleFont | ScaleXVisible

Applies to: AudioVisualization2


TextColor property (AudioVisualization2)

TextColor property (AudioVisualization2)

Gets or sets RGB color of the text using standard Windows palette.

Property type

A OLE_COLOR value.

Syntax

object.TextColor [= value]

The TextColor property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | OLE_COLOR | Color type.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Private Sub Command1_Click()
    'this sub starts on clicking the "Color" button
    CommonDialog1.Color = Picture1.BackColor
    'sets the color selected in the Picture box
    CommonDialog1.DialogTitle = "Choice Color"
    'sets the Dialog window title to "Choice color"
    CommonDialog1.Flags = cdlCCRGBInit Or cdlCCFullOpen
    'sets the options for the dialog box to the standart windows pallete color choice
    CommonDialog1.ShowColor
    'Displays the CommonDialog control's Color dialog box
    Picture1.BackColor = CommonDialog1.Color
    'sets the Picture box's color to the one chosen by a user
    Select Case ListView1.SelectedItem.Index
    'selective case that uses an item of the Listitem as a selective parameter
    Case 1:     'if the first item was chosen then
        AV1.GridColor = Picture1.BackColor
        'sets the color of the Grid to the one of the Picture Box
    Case 2:     'if the 2nd item was chosen then
        AV1.BackColor = Picture1.BackColor
        'sets the Background color of the to the one of the Picture Box
    Case 3:     'if the 3d item was chosen then
        AV1.ScaleColor = Picture1.BackColor
        'sets the color of the Scale to the one of the Picture Box
    Case 4:     'if the 4th item was chosen then
        AV1.TextColor = Picture1.BackColor
        'sets the color of the text to the one of the Picture Box
    Case 5:     'if the 5th item was chosen then
        AV1.BorderColor = Picture1.BackColor
        'sets the color of the border to the one of the Picture Box
    Case 6:     'if the 6th item was chosen then
        AV1.LineColorLeft = Picture1.BackColor
        'sets the color of the visualization to the one of the Picture Box
    Case 7:     'if the 6th item was chosen then
        AV1.LineColorRight = Picture1.BackColor
        'sets the color of the visualization to the one of the Picture Box
    End Select
End Sub

See Also:

BackColor | BorderColor | GridColor | LineColorLeft | LineColorRight | ScaleColor

Applies to: AudioVisualization2


VisType property (AudioVisualization2)

VisType property (AudioVisualization2)

Gets or sets the type of visualization.

Property type

A VisTypeConstants value.

Syntax

object.VisType [= value]

The VisType property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | VisTypeConstants | Type of data visualization.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Dim Wav() As Integer
Dim nChannels As ChannelsConstants
Dim Frequency As Long
'declares the array variable that stores the audio data
...
AudioVisualization21.BorderStyle = bSingle
AudioVisualization21.GridVisible = True
AudioVisualization21.GridYMax = 40
AudioVisualization21.GridYMin = 4
AudioVisualization21.ScaleXVisible = True
AudioVisualization21.ScaleYVisible = True
AudioVisualization21.VisType = fftViewLineal
AudioVisualization21.WindowArraySize = 1024
AudioVisualization21.WindowFFTType = fftWindowHanning
AudioVisualization21.SendArray Wav()

See Also:

WindowArraySize | WindowFFTType

Applies to: AudioVisualization2


WindowArraySize property (AudioVisualization2)

WindowArraySize property (AudioVisualization2)

Gets or sets visualized audio data array size.

Property type

A Long value.

Syntax

object.WindowArraySize [= value]

The WindowArraySize property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | Long | Size of visualized audio data array, in samples.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Dim Wav() As Integer
Dim nChannels As ChannelsConstants
Dim Frequency As Long
'declares the array variable that stores the audio data
...
AudioVisualization21.BorderStyle = bSingle
AudioVisualization21.GridVisible = True
AudioVisualization21.GridYMax = 40
AudioVisualization21.GridYMin = 4
AudioVisualization21.ScaleXVisible = True
AudioVisualization21.ScaleYVisible = True
AudioVisualization21.VisType = fftViewLineal
AudioVisualization21.WindowArraySize = 1024
AudioVisualization21.WindowFFTType = fftWindowHanning
AudioVisualization21.SendArray Wav()

See Also:

VisType | WindowFFTType

Applies to: AudioVisualization2


WindowFFTType property (AudioVisualization2)

WindowFFTType property (AudioVisualization2)

Gets or sets window style.

Property type

A FFTWindowEnum value.

Syntax

object.WindowFFTType [= value]

The WindowFFTType property syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
value | FFTWindowEnum | Type of window.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Dim Wav() As Integer
Dim nChannels As ChannelsConstants
Dim Frequency As Long
'declares the array variable that stores the audio data
...
AudioVisualization21.BorderStyle = bSingle
AudioVisualization21.GridVisible = True
AudioVisualization21.GridYMax = 40
AudioVisualization21.GridYMin = 4
AudioVisualization21.ScaleXVisible = True
AudioVisualization21.ScaleYVisible = True
AudioVisualization21.VisType = fftViewLineal
AudioVisualization21.WindowArraySize = 1024
AudioVisualization21.WindowFFTType = fftWindowHanning
AudioVisualization21.SendArray Wav()

See Also:

VisType | WindowArraySize

Applies to: AudioVisualization2


AudioVisualization2 methods

AudioVisualization2 methods

Method | Description
Register | Enters user name and registration password to disable About window.
SendArray | Sends audio data array for visual representation.


Register method

Register method

Enters user name and registration password to disable About window.

Syntax

object.Register(bstrUser As String, bstrPassword As String)

The Register method syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object of type .
bstrUser | String | User name. You get a registration user name after the registration.
bstrPassword | String | Password string. You get a registration password after the registration.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
AudioVisualization21.Register "XXX", "XXX"

See Also:

Applies to: AudioVisualization2


SendArray method

SendArray method

Sends audio data array for visual representation.

Syntax

object.SendArray(InpArray As Integer())

The SendArray method syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
InpArray | Integer() | Audio data array.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Dim Wav() As Integer
Dim nChannels As ChannelsConstants
Dim Frequency As Long
'declares the array variable that stores the audio data
...
AudioVisualization21.BorderStyle = bSingle
AudioVisualization21.GridVisible = True
AudioVisualization21.GridYMax = 40
AudioVisualization21.GridYMin = 4
AudioVisualization21.ScaleXVisible = True
AudioVisualization21.ScaleYVisible = True
AudioVisualization21.VisType = fftViewLineal
AudioVisualization21.WindowArraySize = 1024
AudioVisualization21.WindowFFTType = fftWindowHanning
AudioVisualization21.SendArray Wav()

See Also:

Applies to: AudioVisualization2


SetFormatArray method

SetFormatArray method

Sets the format of audio data array.

Syntax

object.SetFormatArray(Frequency As FrequencyConstants, nChannels As ChannelsConstants)

The SetFormatArray method syntax has these parts:

Part | Type | Description
object | AudioVisualization2 | An expression evaluating to an object.
Frequency | FrequencyConstants | Frequency of an audio file. By default Frequency is equal to FQ_44_KHZ.
nChannels | ChannelsConstants | Number of channels of an audio file. By default nChannels is equal to STEREO.

See Also:

Applies to: AudioVisualization2


AudioVisualization2 events

AudioVisualization2 events

Event | Description
MouseClick | Occurs when the user clicks the left mouse button.
MouseDblClick | Occurs when the user clicks the left mouse button twice.
MouseDown | Occurs when the user presses the left mouse button.
MouseMove | Occurs when the user moves the mouse. This is standard ActiveX event.
MouseUp | Occurs when the user releases the left mouse button.


MouseClick event

MouseClick event

Occurs when the user clicks the left mouse button.

Syntax

Sub object_MouseClick(X As Long, Y As Long)

The MouseClick event syntax has these named arguments:

Part | Type | Description
X | Long | X coordinate of mouse pointer.
Y | Long | Y coordinate of mouse pointer.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Private Sub AudioVisualization21_MouseClick( ByVal X As Long, ByVal Y As Long)
    MsgBox "Mouse coordinates: " & X & "," & Y
End Sub

See Also:

MouseDblClick | MouseDown | MouseMove | MouseUp

Applies to: AudioVisualization2


MouseDblClick event

MouseDblClick event

Occurs when the user clicks the left mouse button twice.

Syntax

Sub object_MouseDblClick()

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Private Sub AudioVisualization21_MouseDblClick()
    AudioVisualization21.GridVisible = True
End Sub

See Also:

MouseClick | MouseDown | MouseMove | MouseUp

Applies to: AudioVisualization2


MouseDown event

MouseDown event

Occurs when the user presses the left mouse button.

Syntax

Sub object_MouseDown(X As Long, Y As Long, XValue As Long, YValue As Long)

The MouseDown event syntax has these named arguments:

Part | Type | Description
X | Long | X coordinate of mouse pointer.
Y | Long | Y coordinate of mouse pointer.
XValue | Long | Horizontal coordinate of mouse pointer, in hertz (for analog signal is in samples).
YValue | Long | Vertical coordinate of mouse pointer, in db.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Private Sub AudioVisualization21_MouseDown( ByVal X As Long, ByVal Y As Long, ByVal XValue As Long, ByVal YValue As Long)
    Select Case (AudioVisualization21.VisType)
    'selective case that uses the visualization case as a selective parameter
    Case 0:     'if the visualization type equals to zero ("VtAnalog")
        StatusBar1.Panels(3).Text = "Cursor: " & XValue & " smpl, " & YValue & " smpl"
        'writes to the right panel of the status bar string in the following format "Cursor: x smpl, y smpl"
    Case Else   'otherwise
        StatusBar1.Panels(3).Text = "Cursor: " & XValue & " Hz, " & YValue & " dB"
        'writes to the right panel of the status bar string in the following format "Cursor: a Hz, y dB"
    End Select
End Sub

See Also:

MouseClick | MouseDblClick | MouseMove | MouseUp

Applies to: AudioVisualization2


MouseMove event

MouseMove event

Occurs when the user moves the mouse. This is standard ActiveX event.

Syntax

Sub object_MouseMove(X As Long, Y As Long, XValue As Long, YValue As Long)

The MouseMove event syntax has these named arguments:

Part | Type | Description
X | Long | X coordinate of mouse pointer.
Y | Long | Y coordinate of mouse pointer.
XValue | Long | Horizontal coordinate of mouse pointer, in hertz (for analog signal is in samples).
YValue | Long | Vertical coordinate of mouse pointer, in db.

Example:

' VB sample where AudioVisualization21 is an AudioVisualization2 object.
Private Sub AudioVisualization21_MouseMove( ByVal X As Long, ByVal Y As Long, ByVal XValue As Long, ByVal YValue As Long)
    Select Case (AudioVisualization21.VisType)
    'selective case that uses the visualization case as a selective parameter
    Case 0:     'if the visualization type equals to zero ("VtAnalog")
        StatusBar1.Panels(3).Text = "Cursor: " & XValue & " smpl, " & YValue & " smpl"
        'writes to the right panel of the status bar string in the following format "Cursor: x smpl, y smpl"
    Case Else   'otherwise
        StatusBar1.Panels(3).Text = "Cursor: " & XValue & " Hz, " & YValue & " dB"
        'writes to the right panel of the status bar string in the following format "Cursor: a Hz, y dB"
    End Select
End Sub

See Also:

MouseClick | MouseDblClick | MouseDown | MouseUp

Applies to: AudioVisualization2


MouseUp event

MouseUp event

Occurs when the user releases the left mouse button.

Syntax

Sub object_MouseUp(X As Long, Y As Long, XValue As Long, YValue As Long)

The MouseUp event syntax has these named arguments:

Part | Type | Description
X | Long | X coordinate of mouse pointer.
Y | Long | Y coordinate of mouse pointer.
XValue | Long | Horizontal coordinate of mouse pointer, in hertz (for analog signal is in samples).
YValue | Long | Vertical coordinate of mouse pointer, in db.

See Also:

MouseClick | MouseDblClick | MouseDown | MouseMove

Applies to: AudioVisualization2


NCTAudioVisualization2 constants

NCTAudioVisualization2 constants

Constants | Description
BorderTypeConstants | These are the constants for the BorderStyle property (AudioVisualization2).
ChannelsConstants | These are the constants for the ArrayChannels property (AudioVisualization2).
FFTWindowEnum | These are the constants for the WindowFFTType property (AudioVisualization2).
FrequencyConstants | These are the constants for the SetFormatArray method and ArrayFrequency property (AudioVisualization2).
VisTypeConstants | These are the constants for the VisType property (AudioVisualization2).


BorderTypeConstants enumeration

BorderTypeConstants enumeration

These are the constants for the BorderStyle property (AudioVisualization2).

Members

Constant | Value | Description
bNone | 0 | Border is absent.
bSingle | 1 | Border is single.
bLowered | 2 | Border is lowered.
bRaised | 3 | Border is raised.


ChannelsConstants enumeration

ChannelsConstants enumeration

These are the constants for the ArrayChannels property (AudioVisualization2).

Members

Constant | Value
MONO | 1
STEREO | 2


FFTWindowEnum enumeration

FFTWindowEnum enumeration

These are the constants for the WindowFFTType property (AudioVisualization2).

Members

Constant | Value
fftWindowNone | 0
fftWindowWelch | 1
fftWindowBartlett | 2
fftWindowHanning | 3
fftWindowHamming | 4


FrequencyConstants enumeration

FrequencyConstants enumeration

These are the constants for the SetFormatArray method and ArrayFrequency property (AudioVisualization2).

Members

Constant | Value | Description
FQ_96_KHZ | 96000 | 96000 hertz.
FQ_88_KHZ | 88200 | 88200 hertz.
FQ_48_KHZ | 48000 | 48000 hertz.
FQ_44_KHZ | 44100 | 44100 hertz.
FQ_32_KHZ | 32000 | 32000 hertz.
FQ_24_KHZ | 24000 | 24000 hertz.
FQ_22_KHZ | 22050 | 22050 hertz.
FQ_16_KHZ | 16000 | 16000 hertz.
FQ_12_KHZ | 12000 | 12000 hertz.
FQ_11_KHZ | 11025 | 11025 hertz.
FQ_8_KHZ | 8000 | 8000 hertz.
FQ_6_KHZ | 6000 | 6000 hertz.


VisTypeConstants enumeration

VisTypeConstants enumeration

These are the constants for the VisType property (AudioVisualization2).

Members

Constant | Value | Description
vtAnalog | 0 | Analog signal.
vtFFTLinear | 1 | Linear shape of spectrum.
vtFFTNormal | 2 | Normal shape of spectrum.
vtFFTFire | 3 | Fire shape of spectrum.
vtFFTGlass | 4 | Glass shape of spectrum.
vtFFTKryptonite | 5 | Kryptonite shape of spectrum.


AudioVisualization2

NCTAudioStudio2 ActiveX DLLs

Version 2.2

NCTAudioVisualization2 ActiveX DLL is intended for visual representation of audio data in process of playback or record.

NCTAudioVisualization2 is a part of the NCTAudioStudio2 package.


NCTAudioVisualization2Lib

NCTAudioStudio2 ActiveX DLLs

Version 2.2

NCTAudioVisualization2 ActiveX DLL is intended for visual representation of audio data in process of playback or record.

NCTAudioVisualization2 is a part of the NCTAudioStudio2 package.